TulipTulip Docs
Contrats

Récupérer un contrat

Ce endpoint permet de récupérer un contrat

GET
/contracts/{contractId}
key<token>

In: header

Path Parameters

contractId*string

L'identifiant unique du contrat

Response Body

application/json

application/json

curl -X GET "https://api.mytulip.io/v2/contracts/01CFV26E8TS0U"
{
  "contract": {
    "cid": "01CFV26E8TS0U",
    "uid": "A1234567890",
    "created_date": "2025-01-01T00:00:00.000Z",
    "updated_date": "2025-01-01T00:00:00.000Z",
    "start_date": "2025-01-01T08:00:00.000Z",
    "end_date": "2025-01-01T19:00:00.000Z",
    "status": "open",
    "contract_type": "LCD",
    "company": {
      "address": "123 Rue de la Paix",
      "zipcode": "75001",
      "city": "PARIS-1ER-ARRONDISSEMENT",
      "country": "FR",
      "company_name": "Société A",
      "siren": "123456789",
      "first_name": "Pierre",
      "last_name": "Dupont"
    },
    "individual": {
      "first_name": "Pierre",
      "last_name": "Dupont",
      "address": "123 Rue de la Paix",
      "zipcode": "75001",
      "city": "PARIS-1ER-ARRONDISSEMENT",
      "country": "FR",
      "phone_number": "06 06 06 06 06",
      "email": "pierre.dupont@example.com"
    },
    "test": true,
    "products": {
      "property1": {
        "product_id": "01CFV26E8TS0U",
        "start_date": "2025-01-01T00:00:00.000Z",
        "end_date": "2025-01-01T19:00:00.000Z",
        "status": "open",
        "data": {
          "user_name": "Dubois Jean",
          "product_marked": "04670010008323",
          "internal_id": "ve-1234567890"
        },
        "price": 1,
        "replaced_by": "0000-0000-0000-0000"
      },
      "property2": {
        "product_id": "01CFV26E8TS0U",
        "start_date": "2025-01-01T00:00:00.000Z",
        "end_date": "2025-01-01T19:00:00.000Z",
        "status": "open",
        "data": {
          "user_name": "Dubois Jean",
          "product_marked": "04670010008323",
          "internal_id": "ve-1234567890"
        },
        "price": 1,
        "replaced_by": "0000-0000-0000-0000"
      }
    },
    "options": [
      "break",
      "theft"
    ],
    "price": 1
  },
  "status": "success",
  "execution_id": "1234567890"
}
{
  "execution_id": "1234567890",
  "status": "error",
  "type": "bad_request",
  "message": "bad request",
  "error": {
    "code": 1051,
    "message": "Le contrat n'existe pas."
  }
}

Que pensez-vous de cette page ?